
	Comment ( Cruise control settings for GE Trip Optimizer and NYAB LEADER. )
	Comment ( Real system acutally selects speed automatically, no driver input needed. )
	Comment ( Manually adjustable speed, both throttle and dynamic braking, throttle effort limited by throttle position. )
	Comment ( Manual train brake use, with cruise blending dynamic brake as required. No stretch braking. )
		
		
	ORTSCruiseControl (
		MaxForceSteps ( 8 ) 												Comment ( Throttle controls cruise control force, and the throttle has 8 notches. )
		SpeedIsMPH ( True )
		NominalSpeedStep ( 0.1 )
		SpeedSelectorStepTimeSeconds ( 0.05 )
		SpeedSelectorIsDiscrete ( True )									Comment ( Avoid weird fractional speed settings. )
		UseThrottleAsForceSelector ( True ) 								Comment ( The throttle sets the maximum power the cruise control will use. )
		UseThrottleInCombinedControl ( True ) 								Comment ( Required for locomotives which have a combined throttle and dynamic brake. )
		ModeSwitchAllowedWithThrottleNotAtZero ( True ) 					Comment ( This system allows throttle to be applied while changing mdoes. )
		StartReducingSpeedDelta ( 0.01 ) 									Comment ( Set very low to make acceleration more conservative. Should avoid overshoots. )
		StartReducingSpeedDeltaDownwards ( 0.05 )
		Options ( "RegulatorManual, RegulatorAuto, StartFromZero, EngageForceOnNonZeroSpeed" )
		ThrottleFullRangeIncreaseTimeSeconds ( 30 )
		ThrottleFullRangeDecreaseTimeSeconds ( 30 )
		DynamicBrakeFullRangeIncreaseTimeSeconds ( 30 )
		DynamicBrakeFullRangeDecreaseTimeSeconds ( 30 ) 
		TrainBrakeCommandHasPriorityOverCruiseControl ( False )				Comment ( Applying the train brake manually won't disable cruise control braking. )
		TrainBrakeCommandHasPriorityOverAcceleratingCruiseControl ( False )	Comment ( Applying the train brake manually won't disable cruise control powering either. )
		DynamicBrakeCommandHasPriorityOverCruiseControl ( False ) 			Comment ( Applying dynamic brake manually won't interfere with automatic braking. )
		DoComputeNumberOfAxles ( True ) 									Comment ( No manual entering of axle information. )
	)
	
	Comment ( Add control for selecting speed. Not present on real locomotive. Speed is set to train speed initially. )
	
	ORTSMultiPositionController (
		Positions (
			Position ( SelectedSpeedIncrease SpringLoadedBackwardsImmediately "Increase Speed" )
			Position ( Neutral Default "Neutral" )
			Position ( SelectedSpeedDecrease SpringLoadedForwards "Decrease Speed" )
			Position ( SelectSpeedZero Stable "Speed 0" )
		)
		ControllerID ( 1 )
		ControllerBinding ( "SelectedSpeed" )
	)
	